﻿using ProjectByldozerHard.Drawing;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectByldozerHard.MovementStrategy;
/// <summary>
/// Класс-реализация IMoveableObject 
/// </summary>
public class MoveableByldozer : IMoveableObjectcs
{
    /// <summary>
    /// Поле-объект класса DrawningCar или его наследника
    /// </summary>
    private readonly DrawningTrackedCar? _trackedcar = null;

    /// <summary>
	/// Конструктор
	/// </summary>
	
	public MoveableByldozer(DrawningTrackedCar trackedcar)
    {
        _trackedcar = trackedcar;
    }

    public ObjectParameters? GetObjectPosition
    {
        get
        {
            if (_trackedcar == null || _trackedcar.EntityTrackedCar == null)
            {
                return null;
            }
            return new ObjectParameters(_trackedcar.GetPosX, _trackedcar.GetPosY, _trackedcar.GetWidth, _trackedcar.GetHeight);
        }
    }

    public int GetStep => (int)(_trackedcar?.EntityTrackedCar?.Step ?? 0);
    public bool CheckCanMove(DirectionType direction) => _trackedcar?.CanMove(direction) ?? false;
    public void MoveObject(DirectionType direction) => _trackedcar?.MoveTransport(direction);

}